Subject: Re: [Healeys] Whatsit?

From: Tom Felts <[email-masked]>
Date: Wed, 22 Jun 2016 16:17:08 -0400

Looks like what is on mu BJ8 but don 't recognize the string.

---- Michael MacLean <[email-masked]> wrote: 

=============
I have been going through my bins of parts to get an idea of what is left to buy to finish this car.  I came across this carb linkage and am not sure what it is for.  Is it a 6 cylinder item or do I need it for my BN2?

_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]